- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libwpg::WPGSVGGenerator Class Reference

`#include <WPGSVGGenerator.h>`

Inheritance diagram for libwpg::WPGSVGGenerator:

## Public Member Functions
| WPGSVGGenerator (std::ostream &output_sink)
| ~WPGSVGGenerator ()
void | startGraphics (const ::WPXPropertyList &propList)
void | endGraphics ()
void | startLayer (const ::WPXPropertyList &propList)
void | endLayer ()
void | startEmbeddedGraphics (const ::WPXPropertyList &)
void | endEmbeddedGraphics ()
void | setStyle (const ::WPXPropertyList &propList, const ::WPXPropertyListVector &gradient)
void | drawRectangle (const ::WPXPropertyList &propList)
void | drawEllipse (const ::WPXPropertyList &propList)
void | drawPolyline (const ::WPXPropertyListVector &vertices)
void | drawPolygon (const ::WPXPropertyListVector &vertices)
void | drawPath (const ::WPXPropertyListVector &path)
void | drawGraphicObject (const ::WPXPropertyList &propList, const ::WPXBinaryData &binaryData)
void | startTextObject (const ::WPXPropertyList &propList, const ::WPXPropertyListVector &path)
void | endTextObject ()
void | startTextLine (const ::WPXPropertyList &)
void | endTextLine ()
void | startTextSpan (const ::WPXPropertyList &propList)
void | endTextSpan ()
void | insertText (const ::WPXString &str)
Public Member Functions inherited from libwpg::WPGPaintInterface
virtual | ~WPGPaintInterface ()

## Private Member Functions
void | writeStyle (bool isClosed=true)
void | drawPolySomething (const ::WPXPropertyListVector &vertices, bool isClosed)

## Private Attributes
::WPXPropertyListVector | m_gradient
::WPXPropertyList | m_style
int | m_gradientIndex
int | m_shadowIndex
std::ostream & | m_outputSink

## Constructor & Destructor Documentation

libwpg::WPGSVGGenerator::WPGSVGGenerator | ( | std::ostream & | output_sink | ) |

libwpg::WPGSVGGenerator::~WPGSVGGenerator | ( |  | ) |

## Member Function Documentation

void libwpg::WPGSVGGenerator::drawEllipse | ( | const ::WPXPropertyList & | propList | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::drawGraphicObject | ( | const ::WPXPropertyList & | propList,
|  | const ::WPXBinaryData & | binaryData
| ) |  |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::drawPath | ( | const ::WPXPropertyListVector & | path | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::drawPolygon | ( | const ::WPXPropertyListVector & | vertices | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::drawPolyline | ( | const ::WPXPropertyListVector & | vertices | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::drawPolySomething | ( | const ::WPXPropertyListVector & | vertices,
|  | bool | isClosed
| ) |  |
| private

void libwpg::WPGSVGGenerator::drawRectangle | ( | const ::WPXPropertyList & | propList | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::endEmbeddedGraphics | ( |  | ) |
| inline virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::endGraphics | ( |  | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::endLayer | ( |  | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::endTextLine | ( |  | ) |
| inline virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::endTextObject | ( |  | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::endTextSpan | ( |  | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::insertText | ( | const ::WPXString & | str | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::setStyle | ( | const ::WPXPropertyList & | propList,
|  | const ::WPXPropertyListVector & | gradient
| ) |  |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::startEmbeddedGraphics | ( | const ::WPXPropertyList & |  | ) |
| inline virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::startGraphics | ( | const ::WPXPropertyList & | propList | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::startLayer | ( | const ::WPXPropertyList & | propList | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::startTextLine | ( | const ::WPXPropertyList & |  | ) |
| inline virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::startTextObject | ( | const ::WPXPropertyList & | propList,
|  | const ::WPXPropertyListVector & | path
| ) |  |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::startTextSpan | ( | const ::WPXPropertyList & | propList | ) |
| virtual

Implements libwpg::WPGPaintInterface.

void libwpg::WPGSVGGenerator::writeStyle | ( | bool | isClosed = `true` | ) |
| private

## Member Data Documentation

::WPXPropertyListVector libwpg::WPGSVGGenerator::m_gradient
| private

int libwpg::WPGSVGGenerator::m_gradientIndex
| private

std::ostream& libwpg::WPGSVGGenerator::m_outputSink
| private

int libwpg::WPGSVGGenerator::m_shadowIndex
| private

::WPXPropertyList libwpg::WPGSVGGenerator::m_style
| private

The documentation for this class was generated from the following files:

- WPGSVGGenerator.h
- WPGSVGGenerator.cpp